# JPImagePickerController

A image picker view controller.

Superclass: UIViewController
Declared In: JPImagePickerController.h

##### Discussion

A class which represents a image picker controller like apples UIImagePickerController but lets you use a external dataSource for the images.

Updated:
  Saturday, November 14, 2009

## Methods

`-cancelPicking:`

### cancelPicking:

    - (void)cancelPicking:(id)sender;

##### Parameters

`sender`

  The button which sends the action.

## Properties

`dataSource`

  The data source for the picker view.

`delegate`

  The image picker's delegate object.

`imagePickerTitle`

  The image picker title.

`modalNavigationController`

  The additional navigation controller.

`originalStatusBarStyle`

  Original StatusBarStyle at the beginning.

`overviewController`

  Controller for the scrollView.

### dataSource

The data source for the picker view.

    @property (
        nonatomic,
        retain) id<JPImagePickerControllerDataSource> dataSource;

##### Discussion

The data source must adopt the JPImagePickerControllerDataSource protocol and implement the required methods to return the number of components and the number of rows in each component.

### delegate

The image picker's delegate object.

    @property (
        nonatomic,
        retain) id<JPImagePickerControllerDelegate> delegate;

##### Discussion

The delegate receives notifications when the user picks an image, or exits the picker interface. The delegate also decides when to dismiss the picker interface, so you must provide a delegate to use a picker. If this property is nil, the picker is dismissed immediately if you try to show it.

### imagePickerTitle

The image picker title.

    @property (
        nonatomic,
        retain) NSString *imagePickerTitle;

##### Discussion

You can set the title for the image overview here.

### modalNavigationController

The additional navigation controller.

    @property (
        nonatomic,
        retain) IBOutlet UINavigationController *modalNavigationController;

##### Discussion

We need it to be able to view a navigation when the user picks a image.

### originalStatusBarStyle

Original StatusBarStyle at the beginning.

    @property (
        nonatomic,
        readonly) UIStatusBarStyle originalStatusBarStyle;

##### Discussion

This property saves the UIStatusBarStyle at the beginning, so that we'll be able to change it back when we dismiss the image picker.

### overviewController

Controller for the scrollView.

    @property (
        nonatomic,
        retain) JPImagePickerOverviewController *overviewController;

##### Discussion

This controller holds the scrollView with all the buttons which represent the images.

Last Updated: Saturday, November 14, 2009